from distutils.core import setup
import py2exe, sys, os

"""create executable file for MS-Windows
This program is part of "Wiki'it", a free software for
rapidly getting and modifiying screenshots from clipboards
and send them to a MediaWiki server

Copyright (c) 2008-2009 Jean-Philippe Ayanids <jp.ayanides@free.fr>
license : GPL v.3.0
see LICENSE for details about license
"""

sys.argv.append('py2exe')

setup(
	# 3 (default) don't bundle
	# 2 bundle everything but the Python interpreter
	# 1 bundle everything, including the Python interpreter 

	options = {'py2exe': {'bundle_files': 3}},
	windows = [{'script': "wikiit.py"}],
	zipfile = None,
)

